--- pykaraoke-0.4.2.orig/pykaraoke.py
+++ pykaraoke-0.4.2/pykaraoke.py
@@ -1603,9 +1603,23 @@
 		except:
 			ErrorPopup ("Error starting player")
 
+def usage():
+    print "Usage:  %s [filename]" % os.path.basename(sys.argv[0])
+
 def main():
+        args = sys.argv[1:]
+        if ("-h" in args) or ("--help" in args):
+                usage()
+                sys.exit(2)
+
 	PyKaraokeApp = wx.PySimpleApp()
 	Mgr = PyKaraokeManager()
+
+	if (len(sys.argv) > 1):
+		# TODO implement handling multiple files
+		file_path = sys.argv[1]
+		song = Mgr.SongDB.SongListFromFile(file_path)[0]
+		Mgr.StartPlayer(song)
 	PyKaraokeApp.MainLoop()
 
 if __name__ == "__main__":
